---
title: Inspecting server-sent events
slug: Tools/Network_Monitor/Inspecting_server-sent_events
tags:
  - Firefox
  - Network Monitor
  - Server-sent events
---
<p>{{ToolsSidebar}}</p>

<p><a href="/en-US/docs/Web/API/Server-sent_events">Server-sent events</a> allow for an inversion of the traditional client-initiated web request model, with a server sending new data to a web page at any time by pushing messages. From Firefox 82 onwards, you can inspect server-sent events and their message contents using the <a href="/en-US/docs/Tools/Network_Monitor">Network Monitor</a>. This article shows you how.</p>

<h2 id="Inspecting_the_SSE_network_activity">Inspecting the SSE network activity</h2>

<p>When you are viewing a document that is receiving server-sent events, you can go to the Network Monitor, select the file that is sending the server-sent events, and view the received messages in the <em>Response</em> tab on the right-hand panel.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/17402/basic-sse-message-view.png" style="border-style: solid; border-width: 1px; height: 708px; width: 1000px;"></p>

<p>At the top of the panel there is a trash can icon, which allows you to trash the messages sent so far, and a filter field in which you can enter a text string to filter the displayed messages by.</p>

<h2 id="Viewing_the_message_contents">Viewing the message contents</h2>

<p>Select one of the messages listed in the <em>Reponse</em> tab, and you'll see the message contents displayed at the bottom of that same tab.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/17403/see-message-detail-view.png" style="border-style: solid; border-width: 1px;"></p>

<p>In the above example, you can see that JSON and raw data representations of the content are shown. For a plain text message, you'd just see a raw data section.</p>

<p>The supported data formats are as follows:</p>

<ul>
 <li>Mercure protocol</li>
 <li>JSON</li>
</ul>

<h2 id="Customizing_the_displayed_columns">Customizing the displayed columns</h2>

<p>For each message, you'll see <em>Data</em> and Time columns by default, but you can right-click on the table header to bring up a context menu in which you can toggle columns on and off, and reset it back to its original state.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/17404/customize-columns.png" style="border-style: solid; border-width: 1px; height: 233px; width: 500px;"></p>

<p>The available columns are as follows:</p>

<ul>
 <li><em>Data</em>: A summary of the contained message data.</li>
 <li><em>Size</em>: The size of the message.</li>
 <li><em>Time</em>: A timestamp representing when the message was sent.</li>
 <li><em>Event Name</em>: The name of the event type that resulted in the message being sent (e.g.<code> message</code> or <code>ping</code>).</li>
 <li><em>Last Event ID</em>: The ID of the last event that was fired.</li>
 <li><em>Retry</em>: The interval after which failed message will be resent.</li>
</ul>
